Package net.shibboleth.idp.plugin.authn.webauthn.context.logic

# Class IsSecondFactorAuthenticationMode

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.context.logic.IsSecondFactorAuthenticationMode

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

@ThreadSafe public class IsSecondFactorAuthenticationMode extends Object implements Predicate<ProfileRequestContext>
A predicate that lookups into the context to find if the authentication flow is acting as a second factor.

Since:
  1.1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`IsSecondFactorAuthenticationMode()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### IsSecondFactorAuthenticationMode

public IsSecondFactorAuthenticationMode()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`